Bug 186759 - No feedback at errors, meaningless '--help' screen, no documentation
No feedback at errors, meaningless '--help' screen, no documentation
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 22:52 EST by Enrico Scholz
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-03-25 22:52:13 EST
Description of problem:

'gnome-mount' is pretty useless for users who do not look at its
code. There is no feedback on errors:

| [ensc@kosh ~]$ gnome-mount /dev/sdc1 /media/usbdisk
| gnome-mount 0.4
| [ensc@kosh ~]$ 

Only the error code shows that there is going something wrong.

The '--help' message is not very helpful for finding out how to use
the program. It states things like:

| Usage:
|   gnome-mount [OPTION...] - GNOME mount
| ...
|   -h, --hal-udi            Mount by HAL UDI
|   -d, --device             Mount by device file

It does not tell how to specify devices or mount points. Do I need to
set environment variables?

'man gnome-mount' gives an error message only and the README does not
help neither.

Version-Release number of selected component (if applicable):

Comment 1 Moritz Barsnick 2006-06-21 04:35:46 EDT
This is also a big gripe for me. We should perhaps report this upstream!?
Comment 2 Enrico Scholz 2006-06-21 05:05:20 EDT
RH seems to be upstream. At least 'rpm -qi gnome-mount' does not tell another
upstream project URL.
Comment 3 Moritz Barsnick 2006-06-21 09:56:23 EDT

that must be a bug in gnome-mount's SPEC file then. ;-) gnome-mount is truely a 
part of the GNOME project. Reporting upstream is done at http://
bugzilla.gnome.org/ . I actually tripped upon RH bugzilla bug #195863, added my 
info there and also added it to an upstream bug at http://bugzilla.gnome.org/
show_bug.cgi?id=340113. It was actually fixed there after this 
"ping" (yesterday).

If the gnome-mount packager at Fedora is not acting (definitely has better 
things to do than our feature requests), just go upstream and ensure they know 
about it. :) Or even provide a patch there... I know I just might try.
Comment 4 Christian Iseli 2007-01-22 06:38:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 5 Patrice Dumas 2007-01-22 08:56:16 EST
It still applies to fedora devel. I set version to fc6.
Comment 6 Bug Zapper 2008-04-03 22:16:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:38:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Patrice Dumas 2008-05-11 18:31:39 EDT
Still there in rawhide. I cannot update the version.
Comment 9 Patrice Dumas 2008-05-11 18:32:03 EDT
I updated the version.
Comment 10 Bug Zapper 2008-05-13 22:07:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 11 Bug Zapper 2009-06-09 18:07:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-14 12:53:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.